
import 'package:get_it/get_it.dart';
import 'package:loyalty_foop/utils/basicInfo.dart';
import 'package:shared_preferences/shared_preferences.dart';

GetIt locator = GetIt.instance;

void setupLocator() {
  locator.registerLazySingleton(() => BasicInfo());
  locator.registerSingletonAsync(() async => await SharedPreferences.getInstance());
}
