import 'package:flutter/material.dart';


import 'colors.dart';
import 'hexColors.dart';

class EmptyWidget extends StatelessWidget {
  const EmptyWidget(this.desc);

  final String desc;

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: const EdgeInsets.only(bottom: 60, top: 20),
        alignment: Alignment.topCenter,
        decoration: BoxDecoration(
          color: HexColor(AppColors.appColorBackground),
        ),
        child: Text(desc??""));
  }
}
